## org.hibernate.cache.entry
Class UnstructuredCacheEntry

    java.lang.Object
      org.hibernate.cache.entry.UnstructuredCacheEntry

All Implemented Interfaces:
  CacheEntryStructure

    public class UnstructuredCacheEntry

extends Object
implements CacheEntryStructure

Author:
  Gavin King

Constructor Summary
`UnstructuredCacheEntry()`

Method Summary
`Object` `destructure(Object map, SessionFactoryImplementor factory)`
`Object` `structure(Object item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnstructuredCacheEntry

    public UnstructuredCacheEntry()

Method Detail

### structure

    public Object structure(Object item)

  Specified by:
    `structure` in interface `CacheEntryStructure`

### destructure

    public Object destructure(Object map,
                              SessionFactoryImplementor factory)

  Specified by:
    `destructure` in interface `CacheEntryStructure`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.